diff --git a/ChangeLog b/ChangeLog
index 76b8d614..1466af93 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,6 +1,9 @@
 pidgin-lwqq : the webqq protocol for pidgin based on lwqq.
 author : xiehuc@gmail.com
 
+dev (09/02/2012):
+	* new feature: support font style
+
 dev (08/26/2012):
 	* new feature: not official support for offline file.
 
diff --git a/README.md b/README.md
index 8a9d6324..4f77ef26 100644
--- a/README.md
+++ b/README.md
@@ -19,6 +19,7 @@ see github:https://github.com/mathslinux/lwqq.
 * change status
 * support multi webqq account
 * support offline file (not official).
+* support font style
 
 ## empathy support (via telepathy-haze)
 * send / recv text messages
@@ -55,6 +56,7 @@ lwqq库是一个非常安全有效的webqq协议的库.
 * 支持更改在线状态
 * 支持多账户登录
 * 支持离线文件(简易)
+* 支持文本样式
 
 ## empathy support (via telepathy-haze)
 * 支持发送接受文本消息
diff --git a/src/translate.c b/src/translate.c
index fbcf0d3c..f1cb977b 100644
--- a/src/translate.c
+++ b/src/translate.c
@@ -43,6 +43,7 @@ static LwqqMsgContent* build_string_content(const char* from,const char* to,Lwqq
             ptr = strchr(read,'\0');
             ptr++;
             memmove(write,read,ptr-read);
+            write+=ptr-read;
             break;
         }
         if(begin>read){
